-- @Name Anim
-- @Type parent
property pCurrentAnim
property pFrame
property pMSPerFrame --(50 = 20fps, 100 = 10fps, 75 = 15fps)
property pTimerest -- How many ms more than needed to pass the pMSPerFrame...
property pPause
property ancestor

on new me
  ancestor = script("base").new()
  pMSPerFrame = 75 --(50 = 20fps, 100 = 10fps, 75 = 15fps)
  pTimerest = 0
  pFrame = 1
  
  pPause = false
  return me
end

on PauseAnim me
  pPause = true
end
on StartAnim me
  pPause = false
end

on SetAnim me, aAnim
  global gAnim
  
  if me.pCurrentAnim = aAnim then return
  
  me.pCurrentAnim = aAnim
  
  if listP( gAnim[me.pCurrentAnim] ) then
    if pFrame > gAnim[me.pCurrentAnim].count() then pFrame = 1
    
    me.pImage = gAnim[me.pCurrentAnim][pFrame]
    
  else
    alert("Missing animation: "& me.pCurrentAnim)
  end if
  
  
end

on EnterFrame me, aTime
  
  if pPause then return
  
  --aTime ms passed since last call...
  
  if pTimerest + aTime >= pMSPerFrame then
    --We passed the border for triggering a new frame    
    
    pTimerest = (pTimerest + aTime) - pMSPerFrame --Save the overflow of time to next frame...
    
    me.NextFrame()
  else
    --We have time left, add it
    pTimerest = pTimerest + aTime
  end if
end
--
--on render me, aImg, aOffset, aOptions  
--  
--  me.ancestor.render( aImg, aOffset, aOptions )
--end

on NextFrame me
  global gAnim
  
  --Set correct animation
  
  --if listP( gAnim[pCurrentAnim] ) then
  
  pFrame = pFrame + 1
  if pFrame > gAnim[pCurrentAnim].count() then pFrame = 1
  
  me.pImage = gAnim[pCurrentAnim][pFrame]
  
  
  --else
  --  alert("Missing animation: "& pCurrentAnim)
  --end if
end

on terminate me
  me.ancestor.terminate()
end
