-- @Name Bling
-- @Type parent
property ancestor
property pFramesLeft

on new me, aType, aLoc
  
  me.ancestor = script("anim").new()  
  pFramesLeft = 30
  
  case aType of
      
    #money:
      me.SetAnim("CoinIcon")
      --Play sound here
      
    #flower:
      me.SetAnim("FlowerIcon")
      --Play sound here
      
    #fertalizer:
      me.SetAnim("FertelizerIcon")
      --Play sound here
      
    #seed:
      me.SetAnim("SeedIcon")
      --Play sound here
      
  end case
  
  me.pLoc = aLoc + point(12,-8)
  
  return me
end

on render me, aImg, aOffset, aOptions  
  
  me.ancestor.render( aImg, aOffset, aOptions )
end

on enterframe me, aTime
  
  pFramesLeft = pFramesLeft - 1
  
  me.pLoc.locv = me.pLoc.locv - (15.0/(31-pFramesLeft))
  
  if pFramesLeft = 0 then me.SetRemoveMe(true) 
  
  
end
