-- @Name HUD
-- @Type parent
global gGame, gPlayer

property pBuffer
property pDirty
on new me
  
  pBuffer = image(320,240,16)
  
  pDirty = true
  return me
end

on render me, aImg, aOffset
  
  if pDirty then me.Update()
  
  vRect = pBuffer.rect
  
  aImg.copypixels(pBuffer, offset(vRect, aOffset.loch, aOffset.locv), vRect, [#ink:#backgroundtransparent] )
  
end

on Update me
  global gText, gAnim
  
  if not objectP(gPlayer) then return 
  
  pDirty = false
  
  vY = 229
  
  vRect = gAnim["CoinIcon"][1].rect
  
  pBuffer.fill( 0,0,320,240, rgb(255,255,255) )  
  
  gText.render( pBuffer, point(17,vY+2), gPlayer.pSeeds &"/"& gGame.pRules.pSeedsNeeded) 
  gText.render( pBuffer, point(67,vY+2), gPlayer.pFlowers  &"/"& gGame.pRules.pFlowersNeeded) 
  gText.render( pBuffer, point(117,vY+2), gPlayer.pFertelizer &"/"& gGame.pRules.pFertelizersNeeded)  
  gText.render( pBuffer, point(167,vY+2), gPlayer.pMoney  &"/"& gGame.pRules.pMoneyNeeded)   
  
  
  pBuffer.copypixels( gAnim["SeedIcon"][1], offset(vRect,5,vY), vRect, [#ink:#backgroundtransparent] )   
  pBuffer.copypixels( gAnim["FlowerIcon"][1], offset(vRect,55,vY), vRect, [#ink:#backgroundtransparent] )     
  pBuffer.copypixels( gAnim["FertelizerIcon"][1], offset(vRect,105,vY), vRect, [#ink:#backgroundtransparent] )  
  pBuffer.copypixels( gAnim["CoinIcon"][1], offset(vRect,155,vY), vRect, [#ink:#backgroundtransparent] )
  
  gText.render( pBuffer, point(250,230), "MAIN MENU")   
  
end

on Terminate me
  
  
end