-- @Name Textwriter
-- @Type parent
property pFont

on new me  
  pFont = member("Font").image
  return me
end

on Render me, aImg, aLoc, aStr
  --Use uppercase only, A-Z 0-9
  
  vRect = rect(0,0,7,6)
  
  vCursorX = 0
  vCursorY = 0
  
  repeat with i = 1 to aStr.length
    vChar = chartonum(aStr.char[i] )
    
    if vChar >=65 and vChar <= 90 then
      --A-Z
      vOffset = (vChar-65)*7
      aImg.copyPixels( pFont, offset(vRect,vCursorX + aLoc.loch, vCursorY + aLoc.locv), offset(vRect, vOffset, 0) ,[#ink: #backgroundtransparent])
      
    else
      if vChar >=47 and vChar <= 57 then
        --48-57, 0-9
        vOffset = (vChar-47)*7
        aImg.copyPixels( pFont, offset(vRect,vCursorX + aLoc.loch, vCursorY + aLoc.locv), offset(vRect, vOffset, 8) ,[#ink: #backgroundtransparent])
 
        
      else
        
        
      end if
      
    end if
    
    vCursorX = vCursorX + 7
  end repeat
  
end