-- @Name InitAnimations
-- @Type movie
on InitAnimations
  global gAnim  
  
  gAnim = [:]
  
  
  --Farmer
  vFarmerWalk = []
  repeat with i = 1 to 8
    vFarmerWalk.append( member("Farmer0"& i).image )
  end repeat
  
  gAnim.addProp("FarmerWalk", vFarmerWalk)  
  gAnim.addProp("FarmerIdle", [member("Farmer07").image])  
  gAnim.addProp("FarmerJump", [member("Farmer08").image])  
  gAnim.addProp("FarmerCrouch", [member("FarmerCrouch").image])
  
  
  --Flower
  vFlower = []
  repeat with i = 0 to 14
    if i > 9 then
      vFlower.append( member("Flower"& i).image )
    else
      vFlower.append( member("Flower0"& i).image )
    end if    
  end repeat  
  gAnim.addProp("Flower", vFlower)  
  
  --Cloud
  gAnim.addProp("BigCloud", [member("cloud01").image])
  gAnim.addProp("SmallCloud", [member("cloud02").image])  
  
  
  gAnim.addProp("Stand", [member("stand").image])
  
  
  --Icons
  gAnim.addProp("CoinIcon", [member("coin").image])  
  gAnim.addProp("FlowerIcon", [member("flowericon").image])  
  gAnim.addProp("FertelizerIcon", [member("fertelizer").image])  
  gAnim.addProp("SeedIcon", [member("seed").image])
  
  
  --level
  gAnim.addProp("LevelBG", [member("level").image])
  
  --bug
  gAnim.addProp("bug", [member("bug01").image,member("bug02").image,member("bug01").image,member("bug03").image])
  gAnim.addProp("bugdead", [member("bugdead01").image, member("bugdead02").image] )
  
end 